templates/gulp/markup/pages/user-detail.pug
extends ../components/layout/layout.pug
include ../components/blocks/order/order.pug

block vars
    - var htmlclasses = ""

block metaog

block metaseo
    +headMetaSeo(head.main)

block append page
    .user-detail
        .user-detail__header.section.section_default
            .section__content
                .section__header
                    .user-detail__header-grid
                        .user-detail__thumb
                            img(src="https://pbs.twimg.com/profile_images/721806465745424385/TP9wye1E_400x400.jpg")
                        .user-detail__info
                            h1.user-detail__title Иванов Иван Иванович
                            h4.user-detail__role Эксперт / Москва
                            .user-detail__contacts + 7 (777) 777-77-77
                                br
                                a.link.link_default(href="#") mail@mail.ru
                            .user-detail__tabs
                                .tabs.tabs_default
                                    .tabs__item
                                        a.tabs__link.link(href="#")
                                            h4.tabs__title Активность
                                    .tabs__item.tabs__item_active
                                        a.tabs__link.link(href="#")
                                            h4.tabs__title Заказы
                                                small.tabs__count 3
                                    .tabs__item
                                        a.tabs__link.link(href="#")
                                            h4.tabs__title Отчёты
                                                small.tabs__count 17
                .section__body
                    .user-detail__content
                            +orders(orders)

core/templates/user/user-detail.html
{% extends 'index.html' %}
{% load static %}

{% block theme-css-files %}
  <link href="{% static 'assets/css/slick.css' %}" rel="stylesheet" type="text/css"/>
{% endblock %}

{% block title %}{% endblock title %}
{% block page %}
{% include 'order/set_expert.html' %}
{% include 'order/executors_popup.html' %}
<div id="user-detail" class="user-detail">
  <setexpert v-on:event_expert="changedExpert" id="expert" :order=order :type_expert="'expert'"></setexpert>
  <setexpert  v-on:event_expert="changedExpert" id="expert_check" :order=order :type_expert="'expert_check'"></setexpert>
  <setexpert v-on:event_expert="changedExpert" id="transferring" :order=order :type_expert="'transferring'"></setexpert>

  <div class="user-detail__header section section_default">
    <div  class="section__content">
      <div class="section__header" >
        <div class="user-detail__header-grid">
          <img v-if="user.avatar" class="user-detail__thumb" v-bind:src="user.avatar">
          <div class="user-detail__info">
            <h1 class="user-detail__title" v-cloak>
               ${ user.last_name }
               ${ user.first_name }
               ${ user.patronymic }
            </h1>
            <h4 class="user-detail__role" v-cloak>
              <span class="user-detail__role-container">
                <span>${ user.groups } / ${ user.filials } /</span>
                <div class="left-bar-user__rol left-bar-user__rating" v-if="user.expert_rating">
                  <svg width="14" height="14" viewBox="0 0 25 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                      <path d="M12.4805 19.043L4.74609 23.7305L6.79688 14.9414L0 9.02344L8.96484 8.26172L12.4805 0L15.9961 8.26172L24.9609 9.02344L18.1641 14.9414L20.2148 23.7305L12.4805 19.043Z" fill="#FFCE1B"/>
                  </svg>
                  <span class="left-bar-user__rating-text">${ user.expert_rating }</span>
                </div>
              </span>
            </h4>
            <div v-if="user.groups.includes('Эксперт')" v-for="equipment in user.user_equipment" class="user__equipment">
               <img src="../../../static/img/assets/equipment/thickness_gauge.svg" title="Толщиномер" alt="Толщиномер" v-if="equipment.thickness_gauge">
               <img src="../../../static/img/assets/equipment/launch.svg" title="Лаунч" alt="Лаунч" v-if="equipment.launch">
               <img src="../../../static/img/assets/equipment/comp_diagnostic.svg" title="Компьютерная диагностика" alt="Компьютерная диагностика" v-if="equipment.comp_diagnostic">
               <img src="../../../static/img/assets/equipment/gas_analyze.svg" title="Газоанализатор" alt="Газоанализатор" v-if="equipment.gas_analyze">
               <img src="../../../static/img/assets/equipment/endoscope.svg" title="Эндоскоп" alt="Эндоскоп" v-if="equipment.endoscope">
               <img src="../../../static/img/assets/equipment/line.svg" title="Линейка" alt="Линейка" v-if="equipment.straightedge">
               <img src="../../../static/img/assets/equipment/lantern.svg" title="Фонарик" alt="Фонарик" v-if="equipment.flashlight">
               <img src="../../../static/img/assets/equipment/UV.svg" title="Фонарик ультра-фиолетовый" alt="Фонарик ультра-фиолетовый" v-if="equipment.flashlight_ultra_violet">
               <img src="../../../static/img/assets/equipment/mirror.svg" title="Зеркало" alt="Зеркало" v-if="equipment.mirror">
               <img src="../../../static/img/assets/equipment/money.svg" title="Детектор валют" alt="Детектор валют" v-if="equipment.currency_detector">
               <img src="../../../static/img/assets/equipment/glu_protector_tire.svg" title="Глубиномер протектора шин" alt="Глубиномер протектора шин" v-if="equipment.glu_protector_tire">
               <img src="../../../static/img/assets/equipment/compression_tester.svg" title="Компрессометр" alt="Компрессометр" v-if="equipment.compression_tester">
             </div>

            <div class="user-detail__contacts" v-cloak>
              ${ user.phone }
              <br><a class="link link_default" href="#">${ user.email }</a></div>
            <div  class="user-detail__tabs">
              <div class="tabs tabs_default">
                {% if perms.order.view_order %}
                  <div id="selection_tab" class="tabs__item"
                  @click="openTab('selection')"><a class="tabs__link link" >
                      <h4 class="tabs__title">Подбор "под ключ"<small class="tabs__count" v-cloak>${ user.selection_count }</small></h4></a>
                  </div>
                {% endif %}
                {% if perms.order.view_order %}
                  <div id="outside_diagnose_tab" class="tabs__item"
                  @click="openTab('outside_diagnose')"><a class="tabs__link link" >
                      <h4 class="tabs__title">Выездная диагностика<small class="tabs__count" v-cloak>${ user.outside_diagnose_count }</small></h4></a>
                  </div>
                {% endif %}
                {% if perms.order.view_order %}
                  <div id="expert_day_tab" class="tabs__item"
                  @click="openTab('expert_day')"><a class="tabs__link link" >
                      <h4 class="tabs__title">Эксперт на день<small class="tabs__count" v-cloak>${ user.expert_day_count }</small></h4></a>
                  </div>
                {% endif %}
                {% if perms.order.view_order %}
                  <div id="other_tab" class="tabs__item"
                  @click="openTab('other')"><a class="tabs__link link" >
                      <h4 class="tabs__title">Прочее<small class="tabs__count" v-cloak>${ user.other_count }</small></h4></a>
                  </div>
                {% endif %}
                {% if perms.order.view_order %}
                  <div v-show="user.transferringord_count > 0" id="transferringord_tab" class="tabs__item"
                  @click="openTab('transferringord')"><a class="tabs__link link" >
                      <h4 class="tabs__title">Сдачи<small class="tabs__count" v-cloak>${ user.transferringord_count }</small></h4></a>
                  </div>
                {% endif %}
                {% if perms.report.view_reportpodbor %}
                <div id="report_list_tab" v-if="user.report_count > 0" class="tabs__item"
                  @click="openTab('report_list')"><a class="tabs__link link" >
                      <h4 class="tabs__title">Отчёты<small class="tabs__count" v-cloak>${ user.report_count }</small></h4></a>
                  </div>
                {% endif %}
                {% if not request.user.is_client %}
                  <div id="reviews_list_user_tab" class="tabs__item" v-show="user.reviews_count > 0"
                  @click="openTab('reviews_list_user')"><a class="tabs__link link" >
                      <h4 class="tabs__title">Отзывы<small class="tabs__count" v-cloak>${ user.reviews_count }</small></h4></a>
                  </div>
                {% endif %}
                <div id="user_logs_tab" v-if="user.user_logs_count > 0"  class="tabs__item"
                  @click="openTab('user_logs')"><a class="tabs__link link">
                      <h4 class="tabs__title">Активность<small class="tabs__count" v-cloak>${ user.user_logs_count }</small></h4></a>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
      {% block content %}
        {% if perms.order.view_order %}
          <div v-if="user.user_logs_count > 0" id="user_logs"  class="user_tab section__body" v-cloak>
            <div class="box box_card">
              {% include 'logs.html' %}
              {% include 'pagination.html' %}
            </div>
          </div>
          <div id="report_list" class="user_tab section__body" v-cloak>
            {% include 'report/reports_api.html' %}
            {% include 'pagination.html' %}
          </div>
           <div id="reviews_list_user" class="user_tab section__body" v-cloak style="width: 100%">
            {% include 'reviews/reviews_api.html' %}
            {% include 'pagination.html' %}
          </div>
          <div id="selection" class="user_tab section__body" v-cloak>
            <div class="orders-grid orders-grid_default">
              <div v-for="order in selection" class="orders-grid__item" >
                {% include 'order/orders.html' %}
              </div>
            </div>
            {% include 'pagination.html' %}
          </div>
          <div id="outside_diagnose" class="user_tab section__body" v-cloak>
            <div class="orders-grid orders-grid_default">
              <div v-for="order in outside_diagnose" class="orders-grid__item" >
                {% include 'order/orders.html' %}
              </div>
            </div>
            {% include 'pagination.html' %}
          </div>
          <div id="expert_day" class="user_tab section__body" v-cloak>
            <div class="orders-grid orders-grid_default">
              <div v-for="order in expert_day" class="orders-grid__item" >
                {% include 'order/orders.html' %}
              </div>
            </div>
            {% include 'pagination.html' %}
          </div>
          <div id="other" class="user_tab section__body" v-cloak>
            <div class="orders-grid orders-grid_default">
              <div v-for="order in other" class="orders-grid__item" >
                {% include 'order/orders.html' %}
              </div>
            </div>
            {% include 'pagination.html' %}
          </div>
          <div id="transferringord" class="user_tab section__body" v-cloak>
            <div class="orders-grid orders-grid_default">
              <div v-for="order in transferringord" class="orders-grid__item" >
                {% include 'order/orders.html' %}
              </div>
            </div>
            {% include 'pagination.html' %}
          </div>
        {% endif %}
      {% endblock %}
    </div>
  </div>
</div>
{% endblock %}
{% block script %}
  {{ block.super }}
  <script src="{% static 'assets/js/vue/vee-validate.min.js' %}"></script>
  <script src="{% static 'assets/js/vue/vue-upload-component.min.js' %}"></script>
  <script src="{% static 'assets/js/plugins/sliders/slick.js' %}"></script>
  <script>
    var globalState = {executors: {}}
    var store = {
      state: {
        filter: ''
      }
    }
  </script>
  <script src="{% static 'js/userdetail.bundle.js' %}"></script>

{% endblock %}
